Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export.ooxml
Class XlsxSheetHelper

    java.lang.Object
      net.sf.jasperreports.engine.export.ooxml.BaseHelper
          net.sf.jasperreports.engine.export.ooxml.XlsxSheetHelper

    public class XlsxSheetHelper

extends BaseHelper

Version:
  $Id: StyleBuilder.java 2908 2009-07-21 14:32:01Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary

Fields inherited from class net.sf.jasperreports.engine.export.ooxml.BaseHelper
`writer`

Constructor Summary
`XlsxSheetHelper(java.io.Writer writer, XlsxSheetRelsHelper sheetRelsHelper, boolean isCollapseRowSpan)`

Method Summary
`void` | `exportColumn(int colIndex, int colWidth)`
`void` | `exportFooter(int index)`
`void` | `exportHeader()`
`void` | `exportHyperlink(int row, int col, java.lang.String href)`
`void` | `exportMergedCells(int row, int col, int rowSpan, int colSpan)`
`void` | `exportRow(int rowHeight)`

Methods inherited from class net.sf.jasperreports.engine.export.ooxml.BaseHelper
`close, flush, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XlsxSheetHelper

    public XlsxSheetHelper(java.io.Writer writer,
                           XlsxSheetRelsHelper sheetRelsHelper,
                           boolean isCollapseRowSpan)

Method Detail

### exportHeader

    public void exportHeader()

### exportFooter

    public void exportFooter(int index)

### exportColumn

    public void exportColumn(int colIndex,
                             int colWidth)

### exportRow

    public void exportRow(int rowHeight)

### exportMergedCells

    public void exportMergedCells(int row,
                                  int col,
                                  int rowSpan,
                                  int colSpan)

### exportHyperlink

    public void exportHyperlink(int row,
                                int col,
                                java.lang.String href)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com